/* Artifacts */
.path-artifacts .main-content {
    position: relative;
}
.block-views-blockartifacts-their-stories-block-1 {
    font-family: "Roboto", sans-serif;
    #edit-keyword {
        border-radius: 0;
        background: url(/themes/custom/ngpsb2/images/search-dark-blue.svg) no-repeat 5px center;
        background-size: 22px;
        padding: 10px 0 10px 2.375rem;
        background-color: #FFF;
        font-size:0.75rem;
    }
    .bef-exposed-form .form-actions { 
        display: flex;
    }
    .form-actions .form-submit.btn-primary {
        border-radius: 3px;
        padding: 0.7rem 0.9375rem 0.7rem 0.9375rem;
        font-weight:normal;
        font-size: 16px;
        margin-top: -2px;
        margin-left: 10px;
    }
    #edit-reset-artifacts-their-stories {
        background-color: #D9DCE4 !important;
        border-color: #D9DCE4 !important;
    }
    h2 {
        font-family: "Roboto", sans-serif;
        margin: 30px 0 40px 20px;
        color: #1B3E6F;
    }
    .field--name-title {
        color: #1B3E6F;
        font-size: 28px;
        font-weight: 500;
    }
    .field--name-body {
        font-size: 14px;
        line-height:24px;
    }
    .video-link {
        position: relative;
        &::after {
            content: '';
            position: absolute;
            width: 50px;
            height: 50px;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: #1B3E6F;
            border-radius: 50%;
            background-image: url(../../images/icon-play-circle.svg);
            background-position: center;
            background-repeat: no-repeat;
        }
    }

}
@media (min-width: 64rem) {
    .block-views-blockartifacts-their-stories-block-1 {
        .bef-exposed-form {
            position: absolute;
            right: 0;
            top: 50px;
        }
        .wrapper {
            display: flex;
        }
        .video-link img {
            width: 400px;
            height: auto;
        }
        .artifact-details {
            margin-top: 35px;
            width: 70%;
            margin-left: 3%;
            vertical-align: middle;
        }
    }
}

/*Exhibits Layer */

.node--type--exhibits {
    .exhibits-image {
        display: block;
        width: 400px;
        object-fit: cover;
        aspect-ratio: 433 / 200;

    }
    .exhibit-date, time {
        font-family: Lato;
        font-size: 18px;
        font-style: normal;
        font-weight: 700;
        line-height: 22px;
        color: #3A547C;
    }
    .field--name-body {
        font-family: Lato;
        font-size: 15px;
        font-style: normal;
        font-weight: 400 ;
        line-height: 140%;
        padding-top: 5px;
    }
    .exhibits-content {
        position: relative;
    }
    .currentupcoming {
        background-color: #E6B222;
        justify-content: center;
        align-items: center;
        border-radius: 20px;
        padding: 1px 16px;
        float: right;
        margin: 15px;
        font-family: Lato;
        font-size: 15px;
        font-style: normal;
        font-weight: 700;
        line-height: 140%;
        position: absolute;
        top: 0;
        right: 0;
    }
    .exhibit-title {
        color: #1B3E6F;
        font-family: "Roboto";
        font-size: 24px;
        font-style: normal;
        font-weight: 500;
        line-height: 30px; /* 125% */
        letter-spacing: -0.24px;
        display: block;
        padding-top: 30px;
        padding-bottom: 5px;
    }
}
.paragraph--type--exhibits-layer {

    .headline-wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 28px 0;
    }
    .headline {
        font-family: Roboto;
        color: #1B3E6F;
        font-size: 32px;
        font-weight: 700;
        line-height: 1.125;
        letter-spacing: -0.32px;
    }
    .view-all {
        background: url(../../images/yellow-arrow.svg) no-repeat right center;
        font-family: Lato;
        background-size: 15px;
        font-weight: 400;
        padding-right: 1.375rem;
    }
    .view-content {
        display: flex;
        gap: 30px;
        justify-content: center;
        flex-wrap: wrap;
        @media (min-width: 1280px) {
            flex-wrap: nowrap;
        }
        & .views-row {
            flex: 1 1 33%;
        }
    }
    
    .exhibits-layer {
        flex: 1;
        max-width: 400px;
    }
    
    @media screen and (max-width: 340px) {
        .exhibits-image { 
            width: 300px !important;
            height: 150px;
        }
    }
    
    @media screen and (340px <= width <= 400px) {
        .exhibits-image {
            width: auto !important;
            height: 150px;
        }
      }
    
}
/* Exhibit Listing Layer */
.paragraph--type--exhibits-listing-layer {
    
    .exhibits-image {
            display: block;
            object-fit: cover;
            width: 100%;
            height: 240px;
    }
    
    .view-display-id-featured {
        .views-row {
            width: 100%;
        }
    }
    
    .node--view-mode--featured {
        .exhibits-content {
            position: relative;
        }
        .exhibits-image:after {
            content: '';
            position: absolute;
            top: 0;
            right: 0;
            bottom: 10px;
            left: 0;
            background: linear-gradient(90deg, #1B3E6F 8%, rgba(28, 41, 59, 0.00) 100%);
            background-size: cover;
        }

        .node--view-mode--featured {
            padding-bottom: 25px;
        }
        
        .exhibits-image {
            display: inline-block;
            height: 500px;
            padding-bottom: 25px;
            width: 100% !important;
        }
        .exhibits-image:hover .exhibit-title {
          text-decoration: underline !important;
        }
        
        .exhibits-content {
            .exhibit-title {
                font-family: "Roboto";
                font-size: 32px;
                font-style: normal;
                font-weight: 700;
                line-height: 36px; /* 112.5% */
                letter-spacing: -0.32px;
                color: white;
                position: relative;
                z-index: 1;
            }
            
            .exhibit-date {
                font-family: "Lato";
                font-size: 15px;
                font-style: normal;
                font-weight: 500;
                line-height: 16px; 
                color: white;
                position: relative;
                z-index: 1;
            }
            .exhibit-details {
                position: absolute;
                bottom: 20px;
                left: 20px;
            }
            p {
                font-family: "Lato";
                font-size: 18px;
                font-style: normal;
                font-weight: 400;
                line-height: 150%;
                color: white;
                position: relative;
                z-index: 1;
            }
        }
    }
}
@media (min-width: 64rem) {
    .node--view-mode--featured .exhibit-details {
        max-width: 50%;
        bottom: 50px !important;
        left: 50px !important;
    }

    .paragraph--type--exhibits-listing-layer {

        .view-display-id-list .view-content {
            display: flex;
            gap: 10px;
        }
        .view-display-id-list .view-content .views-row {
          width: 26%;
          .exhibits-image {
              height: 120px;
          }
        }

        /* Exactly 1 item */
        .view-display-id-list .view-content:has(.views-row:only-child) .views-row {
          width: 100%;
              .exhibits-content {
                display: flex;
            }
            .exhibit-link {
                position: relative;
            }
            .exhibits-image {
                height: 200px;
                width: auto;
            }
            .exhibit-details {
                margin-top: 25px;
                width: 100%;
                margin-left: 20px;
                vertical-align: middle;
            }
        }

        /* Exactly 2 items */
        .view-display-id-list .view-content:has(.views-row:nth-child(2):last-child) .views-row {
          width: 50%;
        .exhibits-image {
              height: 200px;
          }
        }

        /* Exactly 3 items */
        .view-display-id-list .view-content:has(.views-row:nth-child(3):last-child) .views-row {
          width: 33.3333%;
          .exhibits-image {
              height: 150px;
          }
        }
    }
}

/*Exhibits Listing */
.node--type--exhibits.exhibits.node--view-mode--full .exhibits-body {
    display: flex;
}
.node--type--exhibits.exhibits.node--view-mode--full .exhibits-body .content-wrapper {
    max-width: 65%;
}
.node--type--exhibits.exhibits.node--view-mode--full .exhibits-body .sidebar {
    max-width: 30%;
    margin-left: 5%;
    background-color: #FFF;
    padding: 0 50px;
    font-family: "Roboto", sans-serif !important;
    strong {
        color: #1B3E6F;
    }
    h2{
        font-weight:400;
        color: #1B3E6F;
        border-bottom: 0;
    }
}

.node--type-exhibits nav.tabs {
    display: none;
}

.hero-style-2-container {
    & .hero-background-image {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        &::after {
            content: '';
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: linear-gradient(90deg, #1B3E6F 0%, rgba(28, 41, 59, 0.00) 100%);
        }
    }
}

.node--type--exhibits .paragraph--type--hero-style-2 .wrap {
    z-index: unset;
}

.node--type--exhibits.exhibits.node--view-mode--full .hero-style-2-container{
    padding-top: 1.25rem;
}
.node--type--exhibits.exhibits.node--view-mode--full .field--name-body {
    margin-top: 30px;
}
.node--type--exhibits.exhibits.node--view-mode--full .field--name-field-intro-text {
    font-family: "Lato";
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    color: #f6f6f6;
    margin-bottom: 1rem;
}
.node--type--exhibits.exhibits.node--view-mode--full .breadcrumb-item, .node--type--exhibits.exhibits.node--view-mode--full .breadcrumb-item a {
    color: #FFF !important;
    text-decoration: none;
    font-weight:normal;
}
.node--type--exhibits.exhibits.node--view-mode--full .breadcrumb-item a:hover {
    text-decoration: underline;
}
.node--type--exhibits.exhibits.node--view-mode--full .back {
    font-weight:500;
}
.node--type--exhibits.exhibits.node--view-mode--full .back:before {
    content: "";
    background: url(/themes/custom/ngpsb2/images/yellow-arrow.svg) no-repeat left center;
    background-size: 12px;
    transform: rotate(180deg);
    width: 12px;
    height: 12px;
    display: inline-block;
    margin-right: 0.75rem;
    content: "";
    background-size: 12px;
}


/* Calendar */
.path-events {
    .ui-widget {
        border-radius: 15px;
        color: #1B3E6F;
        .ui-widget-header {
            border: 0;
            padding: 0;
            .ui-dialog-titlebar-close {
                background: url('../../images/close-dark-teal.svg') no-repeat center !important;
                background-size: 24px !important;
                top: 15px;
            }
        }
        h2 {
            font-family: 'Lato', sans-serif;
            font-size: 18px;
            font-weight: 700;
            line-height: 22px;
            color: #1B3E6F;
            margin: 0 0 10px !important;
        }
        .event-info {
            font-family: 'Lato', sans-serif;
            font-size: 15px;
            font-weight: 700;
            line-height: 140%; 
        }
        .button {
            display: inline-flex;
            align-items: center;
            font-family: 'Lato', sans-serif;
            padding: 0.625rem 2.8125rem;
            margin: 0;
            border-radius: 3px;
            background: #1B3E6F;
            color: #fff;
            font-size: 1rem;
            font-weight: 400;
            text-decoration: none;
            text-align: center;
            transition: background 0.2s ease, color 0.2s ease;
            &:after {
                content: '';
                background: url('../../images/light-yellow-arrow.svg') no-repeat right center;
                background-size: 17px;
                display: block;
                width: 30px;
                height: 20px;
                margin-top: 3px;
            }
        }
    }
}

/* News and Events Layer */
.news-blog-and-events-layer {
    & .layer-tab-controls .tab-toggle {
        font-family: Lato;
        font-size: 18px;
        font-style: normal;
        font-weight: 700;
        line-height: 1.2;
        &:before {
            bottom: -6px;
            height: 3px;
        }
        &.active {
            color: #1B3E6F;
        }
    }
    & .layer-tab .wrapper {
        & .col-left, & .col-right {
            border-top: 1px solid #D9DCE4;
        }
        .headline {
            color: #1B3E6F;
            font-size: 40px;
            font-style: normal;
            font-weight: 500;
            line-height: 0.95;
            letter-spacing: -0.4px;
        }
        .read-more {
            color: #1E1E1E;
            font-family: Lato;
            font-size: 15px;
            font-weight: 400;
            line-height: 140%; /* 21px */
        }
        .field--name-field-paragraph-date-time, .news-date {
            font-family: Lato;
            font-size: 14px;
            font-weight: 400;
            line-height: 160%; /* 22.4px */
            margin-bottom: 12px;
        }
        .event-title a, .news-title a {
            font-family: Roboto;
            color: #1B3E6F;
            font-size: 32px;
            font-weight: 700;
            line-height: 1.125;
            letter-spacing: -0.32px;
            text-decoration: none;
        }
        .item-list .event-title a, .item-list .news-title a {
            font-size: 18px;
            font-family: Lato;
        }
        .item-list li {
            &:last-of-type {
                border-bottom: 1px solid #D9DCE4;
            }
        }
        .field--name-body p {
            font-family: Lato;
            color: #1E1E1E;
            font-size: 15px;
            font-weight: 400;
            line-height: 140%; /* 21px */
        }
    }
}
/*  Blog and News page Search field */
.page-news.view-events-blogs-and-news .bef-exposed-form .js-form-item-title input[type=text],
.page-blog.view-events-blogs-and-news .bef-exposed-form .js-form-item-title input[type=text] {
    background-color: #fff;
    border-radius: 1px;
}
.page-news.view-events-blogs-and-news .bef-exposed-form .js-form-item-title input[type=text]::placeholder,
.page-blog.view-events-blogs-and-news .bef-exposed-form .js-form-item-title input[type=text]::placeholder {
    color: #000;
}

@media (min-width: 64rem) {
    .site-crr .site-header--style-2 .site-navigation nav.menu--main ul.menu-main > li {
        position: relative;
    }
}

.node--type--video-artifact {
    margin-top: 15px;
    .video-link {
      place-content: center;
    }
  
    .artifact-details {
      line-height: normal !important;
    }
  }
  .field--name-field-image-media {
    margin-bottom: 0px !important;
  }
  
  .node--type--video-artifact .artifact-details {
    @media (min-width: 1024px) {
      margin-top: 0px !important;
    }
  }

  @media (min-width: 64rem) {
    body:not(.site-scdph, .site-des) .paragraph.news-articles-layer > .wrap .headline-container {
        display: none

    }
}
